import {
  camelize,
  pascalize
} from "./chunk-DFWGO77D.mjs";
import "./chunk-3C54IMBV.mjs";

// src/loaders.ts
import { existsSync, promises as fs } from "fs";
function FileSystemIconLoader(dir, transform) {
  return async (name) => {
    const pathes = [
      `${dir}/${name}.svg`,
      `${dir}/${camelize(name)}.svg`,
      `${dir}/${pascalize(name)}.svg`
    ];
    for (const path of pathes) {
      if (existsSync(path)) {
        const svg = await fs.readFile(path, "utf-8");
        return typeof transform === "function" ? await transform(svg) : svg;
      }
    }
  };
}
export {
  FileSystemIconLoader
};
